package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.ServiceShare;

/**
 * 服务共享Mapper接口
 * 
 * @author jy
 * @date 2022-11-29
 */
public interface ServiceShareMapper 
{
    /**
     * 查询服务共享
     * 
     * @param id 服务共享主键
     * @return 服务共享
     */
    public ServiceShare selectServiceShareById(Long id);

    /**
     * 查询服务共享列表
     * 
     * @param serviceShare 服务共享
     * @return 服务共享集合
     */
    public List<ServiceShare> selectServiceShareList(ServiceShare serviceShare);

    /**
     * 查询服务共享列表
     *
     * @param serviceShare 服务共享
     * @return 服务共享集合
     */
    public List<ServiceShare> selectHotServiceShareList(ServiceShare serviceShare);

    /**
     * 新增服务共享
     * 
     * @param serviceShare 服务共享
     * @return 结果
     */
    public int insertServiceShare(ServiceShare serviceShare);

    /**
     * 修改服务共享
     * 
     * @param serviceShare 服务共享
     * @return 结果
     */
    public int updateServiceShare(ServiceShare serviceShare);

    /**
     * 删除服务共享
     * 
     * @param id 服务共享主键
     * @return 结果
     */
    public int deleteServiceShareById(Long id);

    /**
     * 批量删除服务共享
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceShareByIds(Long[] ids);
}
